<?php
require_once __DIR__ . '/../../connect.php';
$driver_id = filterRequest("driverId");
$passenger_id = filterRequest("passengerId");
$amount = filterRequest("amount");
$payment_method = filterRequest("paymentMethod");
$token = filterRequest("token");

$sql = "INSERT INTO `seferWallet` (
    `driverId`,
    `passengerId`,
    `amount`,
    `paymentMethod`,
    `token`,
    `createdAt`
) VALUES (
    :driver_id,
    :passenger_id,
    :amount,
    :payment_method,
    :token,
    CURRENT_TIMESTAMP
)";

$stmt = $con->prepare($sql);
$stmt->bindParam(':driver_id', $driver_id, PDO::PARAM_STR);
$stmt->bindParam(':passenger_id', $passenger_id, PDO::PARAM_STR);
$stmt->bindParam(':amount', $amount, PDO::PARAM_STR);
$stmt->bindParam(':payment_method', $payment_method, PDO::PARAM_STR);
$stmt->bindParam(':token', $token, PDO::PARAM_STR);

if ($stmt->execute()) {
    // Print a success message
    jsonSuccess($message = "Wallet data saved successfully");
} else {
    // Print a failure message
    jsonError($message = "Failed to save wallet data");
}
?>